Description

NOvVA has a "Message Analyzer" tool they use to parse incoming MessageFacility messages. It can automatically perform actions in
response to certain messages or message rates. This is a powerful tool, and having an "expert system" such as Message Analyzer
has been discussed at several points in the past.

History

#1 - 07/01/2020 12:09 PM - Eric Flumerfelt
- Assignee set to Eric Flumerfelt
- Status changed from New to Resolved

- Category set to Additional Functionality

On mf-extensions-git:feature/24588_MessageAnalyzer, | have imported the NOvVA Message Analyzer code and made the necessary modifications to
have it work in the artdaq ecosystem.

#2 - 07/06/2020 01:22 PM - Pengfei Ding
Eric Flumerfelt wrote:
On mf-extensions-git:feature/24588_MessageAnalyzer, | have imported the NOvVA Message Analyzer code and made the necessary

modifications to have it work in the artdaq ecosystem.

Setting up a demo environment to use this feature, and implementing a simple rule to have a script triggered by a message, where the script will
simply pop up a window to catch shifters' attention.

#3 - 07/24/2020 02:25 PM - Eric Flumerfelt

- Status changed from Resolved to Closed
